Scheduler
scheduler
Scheduled task list, edit, and delete requests.
List scheduled tasks
GET
Authenticated
Lists scheduled tasks.
Request URL
https://api.creeper.host/scheduler/listHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Response 200
{
"status": "success",
"schedule": [],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Add or edit scheduled task
PUT
Authenticated
Creates or updates a scheduled task.
Request URL
https://api.creeper.host/scheduler/editThe id field is only needed when editing an existing task.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"game": "mc",
"command": "restart",
"when": "0 */3 * * *",
"data": {
"instance": "mc-59026a225dc14"
},
"id": "task-5903405e4a86b"
}
Response 200
{
"status": "success",
"message": "Task has been scheduled",
"id": "task-590340ba4d18c",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Delete scheduled task
PUT
Authenticated
Deletes a scheduled task.
Request URL
https://api.creeper.host/scheduler/removeHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "task-5903405e4a86b"
}
Response 200
{
"status": "success",
"message": "Task has been removed",
"endPoint": "aries-production-59c48bc84-hpqw4"
}